MWAWHeaderFooter Class Reference

a class which stores the header/footer data More...

`#include <MWAWPageSpan.hxx>`

## Public Types

enum | Type { HEADER, FOOTER, UNDEF }
| the header/footer type More...
enum | Occurence { ODD, EVEN, ALL, NEVER }
| the header/footer occurence in the file More...
enum | PageNumberPosition { None = 0, TopLeft, TopCenter, TopRight, BottomLeft, BottomCenter, BottomRight }
| a fixed page number position More...

## Public Member Functions

| MWAWHeaderFooter (Type const type=UNDEF, Occurence const occurence=NEVER)
| constructor More...
| ~MWAWHeaderFooter ()
| destructor More...
bool | isDefined () const
| returns true if the header footer is defined More...
void | send (MWAWContentListener *listener) const
| send to header to the listener More...
bool | operator== (MWAWHeaderFooter const &headerFooter) const
| operator== More...
bool | operator!= (MWAWHeaderFooter const &headerFooter) const
| operator!= More...
void | insertPageNumberParagraph (MWAWContentListener *listener) const
| insert a page number More...

## Public Attributes

Type | m_type
| the type header/footer More...
Occurence | m_occurence
| the actual occurence More...
double | m_height
| the height ( if known ) More...
PageNumberPosition | m_pageNumberPosition
| the page number position ( or none) More...
libmwaw::NumberingType | m_pageNumberType
| the page numbering type More...
MWAWFont | m_pageNumberFont
| the page numbering font More...
MWAWSubDocumentPtr | m_subDocument
| the document data More...

## Detailed Description

a class which stores the header/footer data

## Member Enumeration Documentation

enum MWAWHeaderFooter::Occurence

the header/footer occurence in the file

Enumerator
ODD |
EVEN |
ALL |
NEVER |

enum MWAWHeaderFooter::PageNumberPosition

a fixed page number position

Enumerator
None |
TopLeft |
TopCenter |
TopRight |
BottomLeft |
BottomCenter |
BottomRight |

enum MWAWHeaderFooter::Type

the header/footer type

Enumerator
HEADER |
FOOTER |
UNDEF |

## Constructor & Destructor Documentation

MWAWHeaderFooter::MWAWHeaderFooter | ( | MWAWHeaderFooter::Type const | type = `UNDEF`,
|  | MWAWHeaderFooter::Occurence const | occurence = `NEVER`
| ) |  |

constructor

MWAWHeaderFooter::~MWAWHeaderFooter | ( |  | ) |

destructor

## Member Function Documentation

void MWAWHeaderFooter::insertPageNumberParagraph | ( | MWAWContentListener * | listener | ) | const

insert a page number

Referenced by MWAWPageSpanInternal::SubDocument::parse().

bool MWAWHeaderFooter::isDefined | ( |  | ) | const

inline

returns true if the header footer is defined

Referenced by MWAWPageSpan::sendHeaderFooters().

bool MWAWHeaderFooter::operator!= | ( | MWAWHeaderFooter const & | headerFooter | ) | const

inline

operator!=

bool MWAWHeaderFooter::operator== | ( | MWAWHeaderFooter const & | headerFooter | ) | const

operator==

Referenced by operator!=().

void MWAWHeaderFooter::send | ( | MWAWContentListener * | listener | ) | const

send to header to the listener

Referenced by MWAWPageSpan::sendHeaderFooters().

## Member Data Documentation

double MWAWHeaderFooter::m_height

the height ( if known )

Referenced by operator==().

Occurence MWAWHeaderFooter::m_occurence

the actual occurence

Referenced by operator==(), send(), and MWAWPageSpan::setHeaderFooter().

MWAWFont MWAWHeaderFooter::m_pageNumberFont

the page numbering font

Referenced by insertPageNumberParagraph(), and operator==().

PageNumberPosition MWAWHeaderFooter::m_pageNumberPosition

the page number position ( or none)

Referenced by insertPageNumberParagraph(), operator==(), MWAWPageSpanInternal::SubDocument::parse(), and send().

libmwaw::NumberingType MWAWHeaderFooter::m_pageNumberType

the page numbering type

Referenced by insertPageNumberParagraph(), and operator==().

MWAWSubDocumentPtr MWAWHeaderFooter::m_subDocument

the document data

Referenced by BWParser::createDocument(), MSW1Parser::createDocument(), ACParser::createDocument(), LWParser::createDocument(), MDWParser::createDocument(), GWParser::createDocument(), NSParser::createDocument(), MWParser::createDocument(), MSK3Parser::createDocument(), WPParser::createDocument(), WNParser::createDocument(), MWProParser::createDocument(), MORParser::createDocument(), CWParser::createDocument(), ZWParser::createDocument(), MSWParser::createDocument(), HMWJParser::createDocument(), MRWParser::createDocument(), HMWKParser::createDocument(), MSK4Zone::createListener(), operator==(), MWAWPageSpanInternal::SubDocument::parse(), send(), and DMText::updatePageSpanList().

Type MWAWHeaderFooter::m_type

the type header/footer

Referenced by isDefined(), operator==(), send(), and MWAWPageSpan::setHeaderFooter().

The documentation for this class was generated from the following files:

- MWAWPageSpan.hxx
- MWAWPageSpan.cxx